﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page 
{
    private UserControl_CustomPager mainPager;

    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);
        mainPager = WebDataGrid1.Behaviors.Paging.PagerTemplateContainerBottom.FindControl("CustomPager1") as UserControl_CustomPager;
        mainPager.PageChanged += new EventHandler<PageChangedEventArgs>(mainPager_PageChanged);
        Page.Load += new EventHandler(Page_Load);
    }

    protected void Page_Load(object sender, EventArgs e)
    {
       
    }

    void mainPager_PageChanged(object sender, PageChangedEventArgs e)
    {      
        this.WebDataGrid1.Behaviors.Paging.PageIndex = e.PageNumber;
    }

    protected void WebDataGrid1_DataBound(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            mainPager.SetupPageList(this.WebDataGrid1.Behaviors.Paging.PageCount);
        }
        mainPager.SetCurrentPageNumber(WebDataGrid1.Behaviors.Paging.PageIndex);
    }
   
}